From: Alasdair G Kergon <agk@redhat.com>

multipath_ctr() forgets to return an error after detecting
missing path parameters.  Fix this.

Signed-off-by: Patrick LoPresti <lopresti@gmail.com>
Cc: stable@kernel.org
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-mpath.c |    1 +
 1 file changed, 1 insertion(+)

Index: linux-2.6.35/drivers/md/dm-mpath.c
===================================================================
--- linux-2.6.35.orig/drivers/md/dm-mpath.c
+++ linux-2.6.35/drivers/md/dm-mpath.c
@@ -706,6 +706,7 @@ static struct priority_group *parse_prio
 
 		if (as->argc < nr_params) {
 			ti->error = "not enough path parameters";
+			r = -EINVAL;
 			goto bad;
 		}
 
